Loading...
Searching...
No Matches
volk_32f_x3_sum_of_poly_32f_test Class Reference

Inherits VolkTest.

## Protected Member Functions

void | SetUp () override
void | initialize_data (const size_t length)
void | execute_aligned (const std::string impl_name)
void | execute_unaligned (const std::string impl_name)
Protected Member Functions inherited from VolkTest
void | initialize_test (const std::tuple< std::string, size_t > &param)

## Protected Attributes

volk::vector< float > | vec0
volk::vector< float > | ua_vec0
volk::vector< float > | center_points
volk::vector< float > | ua_center_points
volk::vector< float > | cutoff
volk::vector< float > | ua_cutoff
volk::vector< float > | result
volk::vector< float > | ua_result
float | expected = 0.0f
float | tolerance = 1.0e-5
Protected Attributes inherited from VolkTest
std::string | implementation_name
bool | is_aligned_implementation
size_t | vector_length

## Member Function Documentation

## execute_aligned()

void volk_32f_x3_sum_of_poly_32f_test::execute_aligned | ( | const std::string | impl_name | ) |

inline protected

## execute_unaligned()

void volk_32f_x3_sum_of_poly_32f_test::execute_unaligned | ( | const std::string | impl_name | ) |

inline protected

## initialize_data()

void volk_32f_x3_sum_of_poly_32f_test::initialize_data | ( | const size_t | length | ) |

inline protected

## SetUp()

void volk_32f_x3_sum_of_poly_32f_test::SetUp | ( |  | ) |

inline override protected

## Field Documentation

## center_points

volk::vector<float> volk_32f_x3_sum_of_poly_32f_test::center_points

protected

## cutoff

volk::vector<float> volk_32f_x3_sum_of_poly_32f_test::cutoff

protected

## expected

float volk_32f_x3_sum_of_poly_32f_test::expected = 0.0f

protected

## result

volk::vector<float> volk_32f_x3_sum_of_poly_32f_test::result

protected

## tolerance

float volk_32f_x3_sum_of_poly_32f_test::tolerance = 1.0e-5

protected

## ua_center_points

volk::vector<float> volk_32f_x3_sum_of_poly_32f_test::ua_center_points

protected

## ua_cutoff

volk::vector<float> volk_32f_x3_sum_of_poly_32f_test::ua_cutoff

protected

## ua_result

volk::vector<float> volk_32f_x3_sum_of_poly_32f_test::ua_result

protected

## ua_vec0

volk::vector<float> volk_32f_x3_sum_of_poly_32f_test::ua_vec0

protected

## vec0

volk::vector<float> volk_32f_x3_sum_of_poly_32f_test::vec0

protected